--
ECHO Creating trigger for M_SLOT validation ...;
--
CREATE TRIGGER M_SLOT_INSERT NO CASCADE BEFORE INSERT ON M_SLOT REFERENCING NEW AS NEWSLOT FOR EACH ROW MODE DB2SQL
WHEN (TRANSLATE(UPPER(NEWSLOT.SLOTNAME),'','ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\!@#$%^\&*\(\)-=+/\\{}[]\;:.,<>? _') <> '')
BEGIN ATOMIC SIGNAL SQLSTATE '23I96' ('unprintable character included'); END;

--
ECHO Creating trigger for M_SLOTGROUP validation ...;
--
CREATE TRIGGER M_SLOTGROUP_INSERT NO CASCADE BEFORE INSERT ON M_SLOTGROUP REFERENCING NEW AS NEWSLOTGROUP FOR EACH ROW MODE DB2SQL
WHEN (TRANSLATE(UPPER(NEWSLOTGROUP.SLOTGROUPNAME),'','ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\!@#$%^\&*\(\)-=+/\\{}[]\;:.,<>? _') <> '')
BEGIN ATOMIC SIGNAL SQLSTATE '23I96' ('unprintable character included'); END;

--
ECHO Creating trigger for M_CARTRIDGE validation ...;
--
CREATE TRIGGER M_CARTRIDGE_INSERT NO CASCADE BEFORE INSERT ON M_CARTRIDGE REFERENCING NEW AS NEWCARTRIDGE FOR EACH ROW MODE DB2SQL
WHEN (TRANSLATE(UPPER(NEWCARTRIDGE.CARTRIDGEPCL),'','ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\!@#$%^\&*\(\)-=+/\\{}[]\;:.,<>? _') <> '')
BEGIN ATOMIC SIGNAL SQLSTATE '23I96' ('unprintable character included'); END;

--
ECHO Creating trigger for M_DRIVE validation ...;
--
CREATE TRIGGER M_DRIVE_INSERT NO CASCADE BEFORE INSERT ON M_DRIVE REFERENCING NEW AS NEWDRIVE FOR EACH ROW MODE DB2SQL
WHEN (TRANSLATE(UPPER(NEWDRIVE.DRIVENAME),'','ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\!@#$%^\&*\(\)-=+/\\{}[]\;:.,<>? _') <> '')
BEGIN ATOMIC SIGNAL SQLSTATE '23I96' ('unprintable character included'); END;

--
ECHO Creating trigger for M_VOLUME validation ...;
--
CREATE TRIGGER M_VOLUME_INSERT NO CASCADE BEFORE INSERT ON M_VOLUME REFERENCING NEW AS NEWVOLUME FOR EACH ROW MODE DB2SQL
WHEN (TRANSLATE(UPPER(NEWVOLUME.VOLUMENAME),'','ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\!@#$%^\&*\(\)-=+/\\{}[]\;:.,<>? _') <> '')
BEGIN ATOMIC SIGNAL SQLSTATE '23I96' ('unprintable character included'); END;

--
ECHO Creating trigger for M_SLOT table ...;
--
CREATE TRIGGER M_SLOT_UPDATE NO CASCADE BEFORE UPDATE OF SLOTID ON M_SLOT REFERENCING NEW AS NEWSLOT FOR EACH ROW MODE DB2SQL
WHEN (TRANSLATE(UPPER(NEWSLOT.SLOTNAME),'','ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\!@#$%^\&*\(\)-=+/\\{}[]\;:.,<>? _') <> '')
BEGIN ATOMIC SIGNAL SQLSTATE '23I96' ('unprintable character included'); END;

--
ECHO Creating trigger for M_SLOTGROUP table ...;
--
CREATE TRIGGER M_SLOTGROUP_UPDATE NO CASCADE BEFORE UPDATE OF SLOTGROUPID ON M_SLOTGROUP REFERENCING NEW AS NEWSLOTGROUP FOR EACH ROW MODE DB2SQL
WHEN (TRANSLATE(UPPER(NEWSLOTGROUP.SLOTGROUPNAME),'','ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\!@#$%^\&*\(\)-=+/\\{}[]\;:.,<>? _') <> '')
BEGIN ATOMIC SIGNAL SQLSTATE '23I96' ('unprintable character included'); END;

--
ECHO Creating trigger for M_CARTRIDGE table ...;
--
CREATE TRIGGER M_CARTRIDGE_UPDATE NO CASCADE BEFORE UPDATE OF CARTRIDGEID ON M_CARTRIDGE REFERENCING NEW AS NEWCARTRIDGE FOR EACH ROW MODE DB2SQL
WHEN (TRANSLATE(UPPER(NEWCARTRIDGE.CARTRIDGEPCL),'','ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\!@#$%^\&*\(\)-=+/\\{}[]\;:.,<>? _') <> '')
BEGIN ATOMIC SIGNAL SQLSTATE '23I96' ('unprintable character included'); END;

--
ECHO Creating trigger for M_DRIVE table ...;
--
CREATE TRIGGER M_DRIVE_UPDATE NO CASCADE BEFORE UPDATE OF DRIVEID ON M_DRIVE REFERENCING NEW AS NEWDRIVE FOR EACH ROW MODE DB2SQL
WHEN (TRANSLATE(UPPER(NEWDRIVE.DRIVENAME),'','ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\!@#$%^\&*\(\)-=+/\\{}[]\;:.,<>? _') <> '')
BEGIN ATOMIC SIGNAL SQLSTATE '23I96' ('unprintable character included'); END;

--
ECHO Creating trigger for M_VOLUME table ...;
--
CREATE TRIGGER M_VOLUME_UPDATE NO CASCADE BEFORE UPDATE OF VOLUMEID ON M_VOLUME REFERENCING NEW AS NEWVOLUME FOR EACH ROW MODE DB2SQL
WHEN (TRANSLATE(UPPER(NEWVOLUME.VOLUMENAME),'','ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\!@#$%^\&*\(\)-=+/\\{}[]\;:.,<>? _') <> '')
BEGIN ATOMIC SIGNAL SQLSTATE '23I96' ('unprintable character included'); END;


